<?php
/**
 * Template part for displaying a message that posts cannot be found
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 * @since Reef 0.1
 */
?>
<section class="wrapper wrap-detail-page no-results">
	<div class="inner-page-content">
		<div class="container">
			<div class="row">
				<div class="col-xs-12 col-sm-10 col-md-8 col-sm-offset-1 col-md-offset-2">
					<div class="content">
						<h1 class="section-title">
							<?php esc_html_e( 'Nothing Found', 'reef' ); ?>
						</h1>
						<div class="content">
						
						<?php
						if ( is_home() && current_user_can( 'publish_posts' ) ) : ?>
						<p> 
						   <a class="button" href="<?php echo esc_url( admin_url( 'post-new.php' ) ); ?>">
						       <?php echo esc_html__( 'Add New Post', 'reef' ); ?> 
						   </a>
						</p>
							
						<?php else : ?>

							<p><?php echo esc_html__( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'reef' ); ?></p>
							<?php
								get_search_form();
						endif; ?>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</section><!-- .no-results -->
